%define upstream_name Convert-ASCII-Armour
%define upstream_version 1.4

%{?perl_default_filter}

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 6
License:        Artistic
Group:          Development/Perl
Summary:        Convert binary octets into ASCII armoured messages
Source0:        https://cpan.metacpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz
Url:            https://metacpan.org/release/%{upstream_name}
BuildRequires:  perl(Compress::Zlib)  
Requires:       perl
BuildArch:      noarch

%description 
This module converts hashes of binary octets into ASCII
messages suitable for transfer over 6-bit clean transport
channels. The encoded ASCII resembles PGP's armoured
messages, but are in no way compatible with PGP.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
echo | %__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc ARTISTIC
%{perl_vendorlib}/*
%{_mandir}/*/*


%changelog
* Tue Nov 01 2022 umeabot <umeabot> 1.400.0-6.mga9
+ Revision: 1901145
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.400.0-5.mga8
+ Revision: 1493584
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.400.0-4.mga7
+ Revision: 1266678
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.400.0-3.mga6
+ Revision: 1024329
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.400.0-2.mga6
+ Revision: 968733
- Mageia 6 Mass Rebuild

* Wed Jul 15 2015 sander85 <sander85> 1.400.0-1.mga6
+ Revision: 854490
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 1.4-12.mga5
+ Revision: 743989
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-11.mga5
+ Revision: 684010
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4-10.mga4
+ Revision: 510322
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.4-9.mga3
+ Revision: 364751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.4-8.mga1
+ Revision: 36863
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.4-7.mga1
+ Revision: 34885
- mageia rebuild
- imported package perl-Convert-ASCII-Armour

